List and manage the service types available for a tenant, used to classify metering points and contracts.
path Parameters
serviceTypeKeyResponses
OK
fieldNamepatternexamplespath Parameters
countryCodeResponses
OK
fieldNamepatternexamplesList Service Types
Gets all service types for a tenant; both enabled system service types and custom service types.
query Parameters
includeSystemWhether to return system service types or not. Default is true.
includeCustomWhether to return custom service types or not. Default is true.
List Service Types › Responses
OK
serviceTypeKeycountryCodetimeZonecurrencyCodeisSystemTypeisAddonServiceuseExternalMarketnoSettlementInUCenablediconCssClassinvoiceLineTypeCreate Custom Service Type
Creates a new custom service type for a tenant.
Create Custom Service Type › Request Body
serviceTypeKeycountryCodetimeZonecurrencyCodeisSystemTypeisAddonServiceuseExternalMarketnoSettlementInUCenablediconCssClassinvoiceLineTypeCreate Custom Service Type › Responses
OK
Get Service Type
Gets one service types for a tenant. Can get both enabled system service types and custom service types.
path Parameters
serviceTypeKeyThe unique key of the service type.
Get Service Type › Responses
OK
serviceTypeKeycountryCodetimeZonecurrencyCodeisSystemTypeisAddonServiceuseExternalMarketnoSettlementInUCenablediconCssClassinvoiceLineTypeReplace Custom Service Type
Updates an existing custom service type (a full update, a replacement) for a tenant.
path Parameters
serviceTypeKeyThe unique key of the custom service type.
Replace Custom Service Type › Request Body
serviceTypeKeycountryCodetimeZonecurrencyCodeisSystemTypeisAddonServiceuseExternalMarketnoSettlementInUCenablediconCssClassinvoiceLineTypeReplace Custom Service Type › Responses
OK
Delete Custom Service Type
Deletes a custom service type for a tenant.
This operation is idempotent. It returns a successful response even if no custom service type exists with the specified key.
path Parameters
serviceTypeKeyThe unique key of the custom service type.
Delete Custom Service Type › Responses
OK
Update Custom Service Type
Partially updates a custom service type using a JSON Patch request (RFC 6902). The request body is an array of operations (changes to apply), each with type of operation, path to element to update, and the new value. If any operation in the array fails, none of the operations are applied.
Operation (op) can be one of these:
add: adds a property to the object or an element to an array; for an existing property it sets a valueremove: removes a property or an array elementreplace: same as remove followed by add at the same locationtest: returns success status code if the value at the specified path equals the specified value
Path (path) starts with a slash (/) and has slashes between levels. Use zero-based index to specify array elements, e.g. /addresses/0. Use hyphen (-) to add to the end of an array, e.g. /addresses/-.
Value (value) can be any JSON object (string, etc).
See learn.microsoft.com for syntax and examples. More details in RFC 6902.
path Parameters
serviceTypeKeyThe unique key of the custom service type.
Update Custom Service Type › Request Body
pathopfromvalueUpdate Custom Service Type › Responses
OK
List Available Service Types
Retrieves the system and custom service types available for a tenant and country. Querying by country code also returns service types which are available in all countries.
query Parameters
countryCodeCountry code according to ISO 3166-1 alpha-2, e.g. NO, FI.
List Available Service Types › Responses
OK
serviceTypeKeycountryCodetimeZonecurrencyCodeisSystemTypeisAddonServiceuseExternalMarketnoSettlementInUCenablediconCssClassinvoiceLineTypeList System Service Types
Retrieves all system service types.
Note: Not all system service types are available for all tenants.
List System Service Types › Responses
OK
serviceTypeKeycountryCodetimeZonecurrencyCodeisSystemTypeisAddonServiceuseExternalMarketnoSettlementInUCenablediconCssClassinvoiceLineType
